//
// Copyright (c) 2006 FoxyTunes 
// All Rights Reserved
//

//
// Class: TrackDataBuilder
//
function TrackDataBuilder() {
    this._finalXML = "";
}

//
// Implementation:
//
TrackDataBuilder.prototype = {

    addArtist : function(artist) { 
        this._finalXML += "<artist><![CDATA[" + artist + "]]></artist>"; 
    },

    addAlbum : function(album) {
        this._finalXML += "<album><![CDATA[" + album + "]]></album>"; 
    },

    addTitle : function(title) { 
        this._finalXML += "<title><![CDATA[" + title + "]]></title>"; 
    },

    addComposer : function(composer) { 
        this._finalXML += "<composer><![CDATA[" + composer + "]]></composer>"; 
    },

    addDisplayName : function(displayName) { 
        this._finalXML += "<display-name><![CDATA[" + displayName + "]]></display-name>"; 
    },

    addAlbumCoverURI : function(albumCoverURI) {
        this._finalXML += "<album-cover-uri><![CDATA[" + albumCoverURI + "]]></album-cover-uri>"; 
    },

    addURI : function(URI) { 
        this._finalXML += "<uri><![CDATA[" + URI + "]]></uri>"; 
    },

    addIsVideo : function(isVideo) { 
        this._finalXML += "<is-video><![CDATA[" + isVideo + "]]></is-video>"; 
    },

    addRegExp : function(regexp) { 
        this._finalXML += "<regexp><![CDATA[" + regexp + "]]></regexp>"; 
    },

    clear : function() {
        this._finalXML = "";
    },

    getData : function() {
        return "<track>" + this._finalXML + "</track>";
    },

} // TrackDataBuilder


